### Method

# Gdk Seat get_devices

#### Declaration [src]

    GList*
    gdk_seat_get_devices (
      GdkSeat* seat,
      GdkSeatCapabilities capabilities
    )

#### Description [src]

Returns the devices that match the given capabilities.

#### Parameters

`capabilities` | `GdkSeatCapabilities`
| Capabilities to get devices for.

#### Return value

Returns: | A list of `GdkDevice`
| A list of `GdkDevices`. The list must be freed with g_list_free(), the elements are owned by GTK and must not be freed.
| The caller of the function takes ownership of the data container, but not the data inside it.